package com.nisum.omd.domain;


import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Map;

@Component
public class LineItem {
	private String lineItemNumber;
	private String skuNumber;
	private String itemColorDesc;
	private String size;
	private String orderedQty;
	private String productName;
	private String itemType;
	private boolean shipChrgApplInd;
	private LocalDateTime estimatedShipDate;
	private Map<String,Object> linePriceInfo;
	private Map<String,Object> lineTax;
	
	public String getLineItemNumber() {
		return lineItemNumber;
	}
	public void setLineItemNumber(String lineItemNumber) {
		this.lineItemNumber = lineItemNumber;
	}
	public String getSkuNumber() {
		return skuNumber;
	}
	public void setSkuNumber(String skuNumber) {
		this.skuNumber = skuNumber;
	}
	public String getItemColorDesc() {
		return itemColorDesc;
	}
	public void setItemColorDesc(String itemColorDesc) {
		this.itemColorDesc = itemColorDesc;
	}
	public String getSize() {
		return size;
	}
	public void setSize(String size) {
		this.size = size;
	}
	public String getOrderedQty() {
		return orderedQty;
	}
	public void setOrderedQty(String orderedQty) {
		this.orderedQty = orderedQty;
	}
	public String getProductName() {
		return productName;
	}
	public void setProductName(String productName) {
		
		  this.productName = productName;
	}
	public String getItemType() {
		return itemType;
	}
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	public boolean isShipChrgApplInd() {
		return shipChrgApplInd;
	}
	public void setShipChrgApplInd(boolean shipChrgApplInd) {
		this.shipChrgApplInd = shipChrgApplInd;
	}
	public LocalDateTime getEstimatedShipDate() {
		return estimatedShipDate;
	}
	public void setEstimatedShipDate(LocalDateTime estimatedShipDate) {
		this.estimatedShipDate = estimatedShipDate;
	}
	public Map<String, Object> getLinePriceInfo() {
		return linePriceInfo;
	}
	public void setLinePriceInfo(Map<String, Object> linePriceInfo) {
		this.linePriceInfo = linePriceInfo;
	}
	public Map<String, Object> getLineTax() {
		return lineTax;
	}
	public void setLineTax(Map<String, Object> lineTax) {
		this.lineTax = lineTax;
	}

}
